# platform = multi_platform_all
# reboot = false
# strategy = enable
# complexity = low
# disruption = low
- name: Gather the package facts
  package_facts:
    manager: auto
  tags:
  - enable_strategy
  - low_complexity
  - low_disruption
  - medium_severity
  - no_reboot_needed
  - package_iptables-persistent_installed
- (xccdf-var var_network_filtering_service)

- name: Ensure iptables-persistent is installed
  ansible.builtin.package:
    name: iptables-persistent
    state: present
  when:
  - '"iptables" in ansible_facts.packages'
  - var_network_filtering_service == "iptables"
  tags:
  - enable_strategy
  - low_complexity
  - low_disruption
  - medium_severity
  - no_reboot_needed
  - package_iptables-persistent_installed
